Create Versions

  • POST
  • /workspaces
  • /:workspace
  • /artifacts
  • /:artifact_id
  • /versions

Create a new artifact version

Request

REQUIRED SCOPES
ARTIFACT_WRITE
URL PARAMETERS
workspacerequiredstring
The human-readable ID of the workspace

Example: "my-company"

artifact_idrequiredstring
The Artifact ID

Example: "x5169jL2"

BODY PARAMETERS
versionrequiredstring
The version identifier (e.g., latest, v1.2.0, stable)
fromstring
Version to copy content from

Response

RESPONSE BODY
urlread-onlystring
API endpoint to GET this object
html_urlread-onlystring
Web URL to view this object in Buddy.works
idinteger
The unique ID of the version (used in API endpoints)
versionstring
The version identifier (e.g., latest, v1.2.0, stable)
sizeinteger
Size of the version content in bytes
version_urlstring
Direct URL to access the artifact version content. For CONTAINER artifacts, this is the registry URL (e.g., container.registry.sh/ttests/ubuntu:latest). For FILES artifacts, this is the HTTP server URL where the content is served (e.g., https://latest-my-artifact.bucket-1.registry.sh/)
created_datestring
Version creation timestamp

Last modified on Jun 29, 2026

Request example

curl -X POST "https://api.buddy.works/workspaces/:workspace/artifacts/:artifact_id/versions" \ -H "Authorization: Bearer <YOUR-TOKEN>" \ -H "Content-Type: application/json" \ -d '{ "version": "v1.2.1" }'